Bug 1265186 - (CVE-2015-4500) CVE-2015-4500 Mozilla: Miscellaneous memory safety hazards (MFSA 2015-96)
CVE-2015-4500 Mozilla: Miscellaneous memory safety hazards (MFSA 2015-96)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20150922,repor...
: Security
Depends On:
Blocks: 1261782
  Show dependency treegraph
 
Reported: 2015-09-22 06:53 EDT by Prasad J Pandit
Modified: 2016-11-08 11:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 10:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1834 normal SHIPPED_LIVE Critical: firefox security update 2015-09-24 18:40:01 EDT
Red Hat Product Errata RHSA-2015:1852 normal SHIPPED_LIVE Important: thunderbird security update 2015-10-01 13:25:51 EDT

  None (edit)
Description Prasad J Pandit 2015-09-22 06:53:16 EDT
Mozilla developers and community identified and fixed several memory safety
bugs in the browser engine used in Firefox and other Mozilla-based products.
Some of these bugs showed evidence of memory corruption under certain
circumstances, and we presume that with enough effort at least some of these
could be exploited to run arbitrary code.

External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-96/
Comment 1 Martin Prpič 2015-09-22 08:02:16 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting these issues. Upstream acknowledges Andrew Osmond, Olli Pettay, Andrew Sutherland, Christian Holler, David Major, Andrew McCreight, and Cameron McCormack as the original reporters of these issues.
Comment 2 errata-xmlrpc 2015-09-22 14:18:21 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1834 https://rhn.redhat.com/errata/RHSA-2015-1834.html
Comment 7 errata-xmlrpc 2015-10-01 09:26:21 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1852 https://rhn.redhat.com/errata/RHSA-2015-1852.html

Note You need to log in before you can comment on or make changes to this bug.